var app = require('app');
var template = [
  {
    label: "窗口",
    submenu: [
      {
        label: '刷新', accelerator: 'CmdOrCtrl+R',
        click: function (item, focusedWindow) {
          if (focusedWindow)
            focusedWindow.reload();
        }
      },
      {
        label: '全屏',
        accelerator: (function () {
          if (process.platform == 'darwin')
            return 'Ctrl+Command+F';
          else
            return 'F11';
        })(),
        click: function (item, focusedWindow) {
          if (focusedWindow)
            focusedWindow.setFullScreen(!focusedWindow.isFullScreen());
        }
      },
      {
        label: '最小化', accelerator: 'CmdOrCtrl+M', role: 'minimize'
      },
        {
          label: '关闭',
          accelerator: 'CmdOrCtrl+W',
          role: 'close'
        },
      { type: "separator" },
      {
        label: "退出", accelerator: "Command+Q", click: function() { app.quit(); }
      }
    ]
  },
  {
    label: "",
    submenu: [
      {
        label: "", accelerator: "CmdOrCtrl+Z", selector: "undo:"
      },
      {
        label: "", accelerator: "Shift+CmdOrCtrl+Z", selector: "redo:"
      },
     // { type: "separator" },
      {
        label: "", accelerator: "CmdOrCtrl+X", selector: "cut:"
      },
      {
        label: "", accelerator: "CmdOrCtrl+C", selector: "copy:"
      },
      {
        label: "", accelerator: "CmdOrCtrl+V", selector: "paste:"
      },
      {
        label: "", accelerator: "CmdOrCtrl+A", selector: "selectAll:"
      }
    ]
  }
];

module.exports = template;
