var app = require('app');  // Module to control application life.
var BrowserWindow = require('browser-window');  // Module to create native browser window.
var process = require('process');
var path = require('path');
var childProcess = require('child_process');
var srcFolderPath = path.resolve(process.execPath, "..");
var appFolderPath = path.resolve(srcFolderPath, "..");
var rootFolderPath = path.resolve(appFolderPath, "..");
var updateDotExe = path.join(rootFolderPath, "Update.exe");
var target = path.basename(process.execPath);

var executeSquirrelCommand = function(args, done) {
    var child = childProcess.spawn(updateDotExe, args, { detached: true });
    child.on('close', function (code) {
        done();
    });
};

var install = function(done) {
    executeSquirrelCommand(["--createShortcut", target], done);
};

var uninstall = function(done) {
    executeSquirrelCommand(["--removeShortcut", target], done);
};
var handleSquirrelEvent = function () {
    if (process.platfor != 'win32') {
        return false;
    }

    console.log("HHHHHHHHHHHHHHHH");
    console.log(path.basename(process.execPath));
    var squirrelEvent = process.argv[1];
    switch (squirrelEvent) {
        case '--squirrel-install':
            install(app.quit);
            return true;
        case '--squirrel-updated':
            install(app.quit);
            return true;
        case '--squirrel-obsolete':
            app.quit();
            return true;
        case '--squirrel-uninstall':
            childProcess.execSync("taskkill /IM yiqixie.exe /F");
            uninstall(app.quit);
            return true;
    }

    return true;
};

module.exports = handleSquirrelEvent;